Subject: Re: bug#53871: 29.0.50; Emacs freezes with new child-frame option

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Feb 2022 05:33:45 +0200

> From: Po Lu <[email-masked]>
> Cc: martin rudalics <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Wed, 09 Feb 2022 08:41:49 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > How come we don't see something similar in any other code that creates
> > child frames?  Scrolling via the scroll bars is possible while some
> > Lisp creates child frames not necessarily in this context.  Are our
> > frame creation so fragile that it doesn't tolerate scroll bars in
> > parallel with frame creation?
> 
> FWIW, I don't think it's a bug in our generic frame creation code

I didn't say it was.  The problem is definitely specific to
MS-Windows, as I tried to explain up-thread.